## python-tld 0.9.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = tld
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-tld (0.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #910294)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Oct 2018 10:33:35 +0200

=== debian/control ===
Source: python-tld
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-sphinx, publicsuffix
Standards-Version: 4.2.1
Homepage: https://github.com/barseghyanartur/tld
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tld
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tld.git
Testsuite: autopkgtest-pkg-python

Package: python3-tld
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, publicsuffix
Suggests: python-tld-doc
Description: Extract the top level domain (TLD) from a given URL (Python 3)
 This package contains a module which extracts the top level domain (TLD) from
 the given URL. The list of TLD names is taken from Mozilla.
 .
 It can optionally raises exceptions on non-existing TLDs or silently fails (if
 fail_silently argument is set to True).
 .
 This package installs the library for Python 3.

Package: python-tld-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Extract the top level domain (TLD) from a given URL (common documentation)
 This package contains a module which extracts the top level domain (TLD) from
 the given URL. It uses the list of TLD names provided by publicsuffix
 (initiated by Mozilla).
 .
 It can optionally raises exceptions on non-existing TLDs or silently fails (if
 fail_silently argument is set to True).
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=tld

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator

override_dh_auto_install:
	dh_auto_install -Xres/old

=== debian/watch ===
version=4
# PyPI
https://pypi.debian.net/tld/tld-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-tld 0.11.11

=== debian/changelog ===
python-tld (0.11.11-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-tld-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 14 Dec 2022 18:47:44 +0000

python-tld (0.11.11-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 20:21:34 +0100

python-tld (0.11.11-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Drop tox Build-Dep, we're doing build-time tests without it, fixing FTBFS
    with dh-python >= 5.20211105.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 05 Nov 2021 00:50:16 -0700

python-tld (0.11.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 0.11.11
  * Update debian/copyright
  * Refresh patches
  * Add missing build-deps for tests
  * debian/rules: copy test files and add link for tests
  * Remove privacy breach in docs
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 08 Apr 2020 16:50:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-tld
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
-Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools, python3-sphinx, publicsuffix
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-sphinx, publicsuffix, python3-pytest, faker
+Standards-Version: 4.6.1
 Homepage: https://github.com/barseghyanartur/tld
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tld
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tld.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tld
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-tld.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-tld
@@ -27,6 +27,7 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: Extract the top level domain (TLD) from a given URL (common documentation)
  This package contains a module which extracts the top level domain (TLD) from
  the given URL. It uses the list of TLD names provided by publicsuffix

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=tld
export PYBUILD_BEFORE_TEST=mkdir -p {build_dir}/tld/res;ln -sf /usr/share/publicsuffix/effective_tld_names.dat {build_dir}/tld/res/effective_tld_names.dat.txt;cp -r {dir}/src/tld/tests/res {build_dir}/tld/tests
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tld/res; rm -rf {build_dir}/tld/tests/res

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator

override_dh_auto_install:
	dh_auto_install -Xres/old

## python-tld 0.13

=== requirements.txt ===
-r requirements/base.txt

=== debian/changelog ===
python-tld (0.13-3) unstable; urgency=medium

  * Team upload.
  * Patch-out the one failing "blogspot.com.au" test scenario
    Closes: #1094124

 -- Alexandre Detiste <tchet@debian.org>  Mon, 31 Mar 2025 12:53:57 +0200

python-tld (0.13-2) unstable; urgency=medium

  * Do not test update-tld-names as this command is not in the Debian package
    (Closes: #1072468)
  * Remove htmlcov/* generated during tests (Closes: #1072093)
  * Add missing build-dep pybuild-plugin-pyproject
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 14 Aug 2024 11:55:53 +0200

python-tld (0.13-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.13
  * Refresh patches
  * Use new dh-sequence-python3
  * Set "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 May 2024 00:04:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,19 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-sphinx, publicsuffix, python3-pytest, faker
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ faker,
+ publicsuffix,
+ python3-all,
+ python3-pytest,
+ python3-pytest-cov,
+ python3-setuptools,
+ python3-sphinx
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://github.com/barseghyanartur/tld
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tld
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tld.git
@@ -20,8 +31,6 @@
  .
  It can optionally raises exceptions on non-existing TLDs or silently fails (if
  fail_silently argument is set to True).
- .
- This package installs the library for Python 3.
 
 Package: python-tld-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=tld
export PYBUILD_BEFORE_TEST=mkdir -p {build_dir}/tld/res;ln -sf /usr/share/publicsuffix/effective_tld_names.dat {build_dir}/tld/res/effective_tld_names.dat.txt;cp -r {dir}/src/tld/tests/res {build_dir}/tld/tests
export PYBUILD_TEST_ARGS= -k 'not test_7_public_private and not test_26_case'
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tld/res; rm -rf {build_dir}/tld/tests/res {build_dir}/htmlcov

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
